Skip to main content
GET
/
summarization_settings_templates
List script templates
curl --request GET \
  --url https://api.beyondwords.io/v1/summarization_settings_templates \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 1,
    "name": "Test template 1",
    "slug": "test_template_1",
    "prompt": "Prompt example",
    "temperature": 1,
    "limit_token_usage": 500,
    "created": "2023-01-01 00:00:00 UTC",
    "updated": "2023-01-01 00:00:05 UTC"
  },
  {
    "id": 2,
    "name": "Test template 2",
    "slug": "test_template_2",
    "prompt": "Prompt example",
    "temperature": 1,
    "limit_token_usage": 500,
    "created": "2023-02-01 00:00:00 UTC",
    "updated": "2023-02-01 00:00:05 UTC"
  }
]

Authorizations

X-Api-Key
string
header
required

Query Parameters

pagination[limit]
integer

'limit' sets the number of results to return in each page.

pagination[offset]
integer

'offset' sets the first position to return from the results of the query. The default is 0, which starts the page at the first result.

Response

OK

id
integer
slug
string

Unique identifier for the object

name
string
model
enum<string> | null
Available options:
gpt-5-nano,
gpt-5-mini,
gpt-5,
gpt-5.1
prompt
string | null

Custom prompt for AI summarization generation

Maximum string length: 3000
temperature
number | null

Controls randomness in AI summarization (0.0 = deterministic, 2.0 = very random)

Required range: 0 <= x <= 2
limit_token_usage
integer | null

Maximum number of tokens to use for AI summarization

Required range: 1 <= x <= 500